ncurses_termattrs
ncurses_timeout
Ncurses Functions
PHP Manual

# ncurses_termname

(PHP 4 >= 4.2.0, PHP 5 < 5.3.0, PECL ncurses >= 1.0.0)

ncurses_termname — Returns terminals (short)-name

### Description

string ncurses_termname ( void )
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

Returns terminals shortname.

### Return Values

Returns the shortname of the terminal, truncated to 14 characters. On errors, returns `NULL`.

### See Also

- ncurses_longname() - Returns terminals description

ncurses_termattrs
ncurses_timeout
Ncurses Functions
PHP Manual